resource "kubernetes_config_map" "ip_masq_agent" {
  count = var.enable_snat ? 1 : 0

  metadata {
    name      = "ip-masq-agent"
    namespace = "kube-system"
  }

  data = {
    config = "nonMasqueradeCIDRs:\n  - 100.64.0.0/19\n  - 240.10.0.0/17\nmasqLinkLocal: false\nresyncInterval: 60s\n"
  }

  depends_on = [var.node_pool]
}
